#!/bin/sh

SEZNAM=s.txt
SEZNAM=seznam-fotek.txt
DIR=png640x480

NUM=0
cat "$SEZNAM" |
while read IMG ; do
	FNUM=`printf "%04i" "$NUM"`
	W=`identify -format "%w" "$IMG"`
	H=`identify -format "%h" "$IMG"`
	#echo "wxh= ${W}x$H"
	if [ $(($W*3)) -gt  $(($H*4)) ] ; then
		echo -n "Land:"
		GEO="-geometry 10640x480"
	else
		echo -n "Port:"
		GEO="-geometry 640x10480"
	fi
	F1="$DIR/a$FNUM.jpg"
	F2="$DIR/b$FNUM.jpg"
	echo -n "$IMG $FNUM... "
	CROP="-crop 640x480+0+0 -gravity center"
	convert  $GEO  $CROP "$IMG" "$F1"
	#convert  $CROP  "$F1" "$F2"
	identify "$IMG" "$F1" -format "->%wx%h"
	#echo done
	NUM=$(($NUM+1))
done
	

